Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::WrongTransaction Class Reference

`#include <WrongTransactionC.h>`

Inheritance diagram for CORBA::WrongTransaction:

[legend]
Collaboration diagram for CORBA::WrongTransaction:

[legend]
List of all members.

## Public Methods
| WrongTransaction (void)
| WrongTransaction (const WrongTransaction &)
| ~WrongTransaction (void)
WrongTransaction & | operator= (const WrongTransaction &)
virtual CORBA::Exception * | _tao_duplicate (void) const
| Deep copy.
virtual void | _raise (void) const
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL)
virtual CORBA::TypeCode_ptr | _type (void) const
| Will be overridden in the concrete derived classes.
## Static Public Methods
void | _tao_any_destructor (void *)
| Used in the non-copying Any insertion operator.
WrongTransaction * | _downcast (CORBA::Exception *)
| The narrow operation.
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

CORBA::WrongTransaction::WrongTransaction | ( | void |  | ) |

CORBA::WrongTransaction::WrongTransaction | ( | const WrongTransaction & |  | ) |

CORBA::WrongTransaction::~WrongTransaction | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA::WrongTransaction::_alloc | ( | void |  | ) | `[static]`

CORBA::WrongTransaction * CORBA::WrongTransaction::_downcast | ( | CORBA::Exception * |  | ) | `[static]`

| The narrow operation. Reimplemented from CORBA::UserException.

void CORBA::WrongTransaction::_raise | ( | void |  | ) | const`[virtual]`

| Implements CORBA::UserException.

void CORBA::WrongTransaction::_tao_any_destructor | ( | void * |  | ) | `[static]`

| Used in the non-copying Any insertion operator. Reimplemented from CORBA::Exception.

virtual void CORBA::WrongTransaction::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL | ) | `[virtual]`

CORBA::Exception * CORBA::WrongTransaction::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| Deep copy. The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:
     class SomeException : public // Derives from CORBA::Exception
     {
     public:
       virtual CORBA::Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Implements CORBA::Exception.

virtual void CORBA::WrongTransaction::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL | ) | const`[virtual]`

CORBA::TypeCode_ptr CORBA::WrongTransaction::_type | ( | void |  | ) | const`[virtual]`

| Will be overridden in the concrete derived classes. Reimplemented from CORBA::Exception.

WrongTransaction& CORBA::WrongTransaction::operator= | ( | const WrongTransaction & |  | ) |

The documentation for this class was generated from the following files:

- WrongTransactionC.h
- WrongTransactionC.cpp